Bug 31306 - Fehlermeldung bei univention-s4search NT_STATUS_NO_LOGON_SERVERS
Fehlermeldung bei univention-s4search NT_STATUS_NO_LOGON_SERVERS
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Samba4
UCS 3.1
Other Linux
: P5 normal (vote)
: UCS 3.2
Assigned To: Arvid Requate
Felix Botner
: interim-1
Depends on: 28819
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-07 15:20 CEST by Kevin Dominik Korte
Modified: 2013-11-19 06:43 CET (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Dominik Korte univentionstaff 2013-05-07 15:20:35 CEST
The Problem still occurs in UCS 3.1-1 as their is no commit on /etc/krb5.conf during the update.

+++ This bug was initially created as a clone of Bug #28819 +++

Unter UCS 3.1 (und in einer Testumgebung auch unter UCS 3.0-2) fällt häufiger
folgende Fehlermeldung auf, die aber zunächst keine funktionseinschränkungen
nach sich zu ziehen scheint:

============================================================================
root@m1:~# univention-s4search cn=Administrator dn
SPNEGO(gssapi_krb5) creating NEG_TOKEN_INIT failed: NT_STATUS_NO_LOGON_SERVERS
# record 1
dn: CN=Administrator,CN=Users,DC=arucs31i1,DC=qa
============================================================================

mit höherem Debuglevel sieht man:

============================================================================
Cannot reach a KDC we require to contact ldap/m1.arucs31i1.qa@ARUCS31I1.QA :
kinit for m1$@ARUCS31I1 failed (Cannot contact any KDC for requested realm)
============================================================================

Stimmt, kinit auf 'm1$@ARUCS31I1' geht nicht, während kinit auf
'm1$@ARUCS31I1.QA' und 'm1$' funktioniert.


==========================================================================Failed to get kerberos credentials: kinit for ucs-master$@BFS failed (Cannot contact any KDC for requested realm)
==
root@m1:~# kinit 'm1$@ARUCS31I1.QA'
m1$@ARUCS31I1.QA's Password: 
root@m1:~# kdestroy 
root@m1:~# kinit 'm1$'
m1$@ARUCS31I1.QA's Password: 
root@m1:~# kdestroy 
root@m1:~# kinit 'm1$@ARUCS31I1'
m1$@ARUCS31I1's Password: 
kinit: krb5_get_init_creds: unable to reach any KDC in realm ARUCS31I1
============================================================================
Comment 1 Arvid Requate univentionstaff 2013-07-15 21:03:34 CEST
Fixed.
Comment 2 Felix Botner univentionstaff 2013-08-05 15:47:03 CEST
OK - /etc/krb5.conf is committed during the update
OK - Changelog
Comment 3 Stefan Gohmann univentionstaff 2013-11-19 06:43:44 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".